For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search for order receipts in all stores on tenant

Optionally narrow down the search to order in given stores and organizatons.

The field orderStatuses can not be used in combination with the fields orderStates, settleStates or deliveryStates.

post
/tenants/{tenantUid}/receipts/search
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Body

Search for order receipts in all stores on tenant.

An empty string will be ignored, and handled as if the key did not exist in the payload.

Fuzzy search means that it will try to find words that contains the query string that is supplied. The search is case-insensitive. Example: If you search for "Ol" you will get "Olsen", "Olstad", "Bolset", "Ormebol", kolstad@example.com, etc ..

storeUidsstring[]Optional
organizationUidsstring[]Optional
customerQuerystringOptional

Search for orders containting this customer. The customer can be specific by firstname, lastname, phonenumber or email. This is a fuzzy search.

customerUidsstring[]Optional
settledAtFromstring · date-timeOptional
orderNumberstringOptional

Search for an order receipt on an order with a specific ordernumber. This is an exact lookup

voucherNumberstringOptionalDeprecated

Deprecated: Use voucherNumbers instead.

voucherNumbersstring[]Optional

Search for multiple order receipts by voucher numbers. This is an exact lookup

productSkusstring[]Optional

Search for order receipts containing the products. These must be SKUs and is an exact lookup.

tenantPaymentMethodUidsstring[]Optional

Search for order receipts containing one of the specified payment methods.

settledAtTostring · date-timeOptional
tenantUserUidsstring[]Optional
querystringOptional

General fuzzy search.

productUidsstring[]Optional
hasUnpaidInvoicesbooleanOptional

When this is set to true, only unpaid receipts/invoices will be in the response.

settlementExternalPaymentReferencesstring[]Optional

Search for receipts with settlement with the specified external payment reference.

Responses
200

Example response

application/json
post/tenants/{tenantUid}/receipts/search
POST /v2/tenants/{tenantUid}/receipts/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 524

{
  "storeUids": [
    "text"
  ],
  "organizationUids": [
    "text"
  ],
  "customerQuery": "text",
  "customerUids": [
    "text"
  ],
  "settledAtFrom": "2026-01-01T00:00:00.000Z",
  "orderNumber": "text",
  "voucherNumbers": [
    "text"
  ],
  "productSkus": [
    "text"
  ],
  "tenantPaymentMethodUids": [
    "text"
  ],
  "settledAtTo": "2026-01-01T00:00:00.000Z",
  "tenantUserUids": [
    "text"
  ],
  "deliveryStates": [
    "NOT_STARTED"
  ],
  "orderReceiptStates": [
    "NOT_STARTED"
  ],
  "query": "text",
  "productUids": [
    "text"
  ],
  "amountRange": {
    "from": 1,
    "to": 1
  },
  "hasUnpaidInvoices": true,
  "settlementExternalPaymentReferences": [
    "text"
  ]
}
200

Example response

{
  "items": [
    {
      "storeUid": "text",
      "orderUid": "text",
      "orderReceiptUid": "text",
      "settleState": "NOT_STARTED",
      "orderReceiptState": "NOT_STARTED",
      "tasks": [
        {
          "taskType": "LOYALTY_POINTS_SYNC",
          "status": "PENDING"
        }
      ],
      "voucherNumber": "text",
      "externalIds": [
        {
          "key": "text",
          "label": "text",
          "value": "text",
          "visibility": "INTERNAL"
        }
      ],
      "sellerDisplayName": "text",
      "settledAt": "2026-01-01T00:00:00.000Z",
      "deliveryState": "NOT_STARTED",
      "grandTotal": 1,
      "settlementTotals": {
        "change": 1,
        "remaining": 1,
        "remainingRounded": 1,
        "totals": 1,
        "remainingPrePayment": 1,
        "remainingAuthorizedAmount": 1
      },
      "settlements": [
        {
          "amount": 1,
          "createdAt": "2026-01-01T00:00:00.000Z",
          "displayMessages": [
            {
              "key": "text",
              "message": "text",
              "timestamp": "2026-01-01T00:00:00.000Z"
            }
          ],
          "externalId": "text",
          "externalPaymentReference": "text",
          "idMethod": "NO_CVM_RULE_PERFORMED",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "ledgerNumber": "text",
          "ledgerType": "LEDGER",
          "parameters": [
            {
              "key": "text",
              "value": "text",
              "name": "text",
              "type": "TEXT"
            }
          ],
          "settledAt": "2026-01-01T00:00:00.000Z",
          "settlementCode": "text",
          "settlementUid": "text",
          "settlementName": "text",
          "state": "NOT_STARTED",
          "status": "NEW",
          "storeSettlementIssuer": {
            "storeSettlementIssuerUid": "text",
            "name": "text",
            "code": "text"
          },
          "tenantUserDisplayName": "text",
          "tenantUserUid": "text",
          "storePaymentMethodUid": "text",
          "currency": {
            "amount": 1,
            "code": "text",
            "exchangeRate": 1
          },
          "additionalDetails": [
            {
              "key": "text",
              "value": "text"
            }
          ],
          "creditCount": 1,
          "creditAmount": 1,
          "paymentCount": 1,
          "paymentAmount": 1,
          "tillUid": "text",
          "tillName": "text",
          "tillNumber": 1,
          "storeUid": "text",
          "storeName": "text",
          "orderReceiptUid": "text",
          "authorizedAmount": 1,
          "capturedAmount": 1,
          "refundedAmount": 1,
          "receiptText": "text",
          "transactions": [
            {
              "transactionType": "text",
              "pspTransactionId": "text",
              "transactionAmount": 1,
              "orderReceiptUid": "text"
            }
          ],
          "allowedActions": [
            "CANCEL"
          ]
        }
      ],
      "items": [
        {
          "actions": [
            {
              "comment": "text",
              "createdAt": "2026-01-01T00:00:00.000Z",
              "createdBy": "text",
              "handlingActionUid": "text",
              "handlingActionName": "text",
              "handlingDescription": "text",
              "handlingUid": "text",
              "handlingName": "text",
              "lastModifiedAt": "2026-01-01T00:00:00.000Z",
              "lastModifiedBy": "text",
              "orderHandlingActionUid": "text"
            }
          ],
          "allowedActions": [
            "QUANTITY_SOLD"
          ],
          "createdAt": "2026-01-01T00:00:00.000Z",
          "discountReasonCode": "text",
          "externalId": "text",
          "externalOrderLinks": [
            {
              "orderId": "text",
              "orderNumber": "text",
              "orderItemId": "text",
              "system": "text",
              "type": "CREDIT"
            }
          ],
          "itemCost": 1,
          "itemDiscountAmount": 1,
          "itemDiscountPercentage": 1,
          "itemGrossProfitAmount": 1,
          "itemGrossProfitPercentage": 1,
          "itemPrice": 1,
          "itemVatAmount": 1,
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "ledgerNumber": "text",
          "name": "text",
          "note": "text",
          "orderItemReference": "text",
          "orderItemUid": "text",
          "orderLinks": [
            {
              "orderUid": "text",
              "orderItemUid": "text",
              "orderNumber": "text",
              "storeUid": "text",
              "type": "CREDIT"
            }
          ],
          "originalItemPrice": 1,
          "productUid": "text",
          "productType": "STOCK",
          "properties": [
            {
              "uid": "text",
              "key": "text",
              "value": "text"
            }
          ],
          "quantityCredited": 1,
          "quantityDelivered": 1,
          "quantityOrdered": 1,
          "quantityReserved": 1,
          "returnReasonCode": "text",
          "returnReference": "text",
          "serialnumber": "text",
          "sku": "text",
          "sortOrder": 1,
          "tenantUserDisplayName": "text",
          "tenantUserUid": "text",
          "totalCost": 1,
          "totalDiscountAmount": 1,
          "totalGrossProfitAmount": 1,
          "totalPrice": 1,
          "totalVatAmount": 1,
          "vatCodeUid": "text",
          "warehouseUid": "text",
          "warehouseName": "text",
          "internalInfo": "text",
          "productProperties": [
            {
              "productPropertyUid": "text",
              "propertyName": "text",
              "propertyOptionName": "text",
              "propertyType": "TEXT",
              "propertyText": "text",
              "propertyUid": "text",
              "propertyOptionUid": "text",
              "required": true
            }
          ],
          "coverImage": {
            "productMediaUid": "text",
            "mainUrl": "text",
            "thumbnailUrl": "text"
          },
          "deliveryUid": "text",
          "compensationReasonCode": "text",
          "orderReceiptUid": "text",
          "allowDelivery": "YES",
          "allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
          "reservationType": "NONE",
          "reservationDetails": {
            "warehouse": {
              "warehouseName": "text"
            },
            "purchaseOrder": {
              "purchaseOrderUid": "text",
              "purchaseOrderItemUid": "text",
              "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
              "purchaseOrderNumber": "text",
              "quantityOrdered": 1,
              "externalId": "text"
            },
            "receivement": {
              "receivementUid": "text",
              "receivementItemUid": "text",
              "expectedArrival": "2026-01-01T00:00:00.000Z",
              "expectedDispatch": "2026-01-01T00:00:00.000Z",
              "quantity": 1,
              "supplierOrderReference": "text",
              "receivedAt": "2026-01-01T00:00:00.000Z"
            },
            "interStorePurchaseOrder": {
              "storeUid": "text",
              "storeName": "text",
              "purchaseOrderUid": "text",
              "purchaseOrderNumber": "text",
              "purchaseOrderItemUid": "text"
            },
            "interStorePurchaseOrderReceivement": {
              "receivementUid": "text",
              "receivementItemUid": "text",
              "expectedArrival": "2026-01-01T00:00:00.000Z",
              "expectedDispatch": "2026-01-01T00:00:00.000Z",
              "quantity": 1,
              "supplierOrderReference": "text",
              "receivedAt": "2026-01-01T00:00:00.000Z"
            }
          },
          "interStoreOrderReservationQuantity": 1,
          "gtins": [
            {
              "gtin": "text",
              "primary": true,
              "type": "text"
            }
          ],
          "usesVatMarginScheme": true
        }
      ],
      "address": {
        "address": "text",
        "city": "text",
        "companyName": "text",
        "countryCode": "text",
        "email": "text",
        "firstname": "text",
        "lastname": "text",
        "mobile": "text",
        "postalCode": "text",
        "vatNumber": "text",
        "displayName": "text"
      },
      "customerUid": "text",
      "note": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?